%define name bootsplash
%define version 3.3.3
%define release %mkrel 4

Summary: Scripts to handle PCLinuxOS Bootsplash
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%version.tar.bz2
Source1: splash.sh
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Url:       http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/bootsplash/
Requires: perl-base
Requires: initscripts 
Requires: perl-Archive-Cpio
BuildArchitectures: noarch

%description
This package contains the scripts necessary to install and change the theme 
used by PCLinuxOS.

%prep
%setup -q

%build
make LIB=%{_lib}

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}

mkdir %{buildroot}/sbin
install -m 0755 %SOURCE1 %{buildroot}/sbin

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog 
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/scripts
/sbin/splash.sh

%changelog
* Sun Feb 14 2010 Texstar <texstar at gmail.com> 3.3.3-4pclos2010
- fix dependency

* Thu Jan 14 2010 Texstar <texstar at gmail.com> 3.3.3-3pclos2010
- fix dependency

* Mon Jan 11 2010 Texstar <texstar at gmail.com> 3.3.3-2pclos2010
- add splash.sh

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 3.3.3-1pclos2010
- 3.3.3

